"""
Implements utility methods.
"""
import os

from flask import current_app as app

data_dir = f"{app.dotenv['DATA_DIR']}/{app.dotenv['URBANITE_CITY']}"


def get_sim_dir_names(sim_ids):
    """
    Get the directory name of the last run simulation
    for each of the simulations
    """
    retval = []
    for sim_id in sim_ids:
        direntries = []
        path = f"{data_dir}/simulations/{sim_id}/results"
        app.logger.debug("path: " + path)
        for dir_entry in os.scandir(path):
            direntries.append(dir_entry.name)
        # return the last simulation performed
        direntries.sort(reverse=False)
        retval.append(direntries[-1])
    app.logger.debug("returning dir names: " + str(retval))
    return retval
